> ## Documentation Index
> Fetch the complete documentation index at: https://hoalulab.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Matching details

> Get order matching information for a sub-account.



## OpenAPI

````yaml /en/openapi/tcbs-v1.yaml get /aion/v1/accounts/{accountNo}/matching-details
openapi: 3.0.3
info:
  title: TCBS iFlash Open API
  description: REST APIs for trading stocks and derivatives on TCBS.
  version: 1.0.0
  contact:
    email: openapi@tcbs.com.vn
servers:
  - url: https://openapi.tcbs.com.vn
    description: Production
security:
  - bearerAuth: []
paths:
  /aion/v1/accounts/{accountNo}/matching-details:
    get:
      summary: Matching details
      description: Get order matching information for a sub-account.
      parameters:
        - name: accountNo
          in: path
          required: true
          description: Account number.
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  totalCount:
                    type: integer
                    format: int64
                    description: Total number of records returned.
                  pageSize:
                    type: integer
                    format: int64
                    description: Number of elements per page.
                  pageIndex:
                    type: integer
                    format: int64
                    description: Page index.
                  data[].orderId:
                    type: string
                    description: Order ID.
                  data[].side:
                    allOf:
                      - $ref: '#/components/schemas/StockOrderSide'
                    description: 'Direction: S = Sell, B = Buy.'
                  data[].symbol:
                    type: string
                    description: Stock symbol.
                  data[].quoteQtty:
                    type: number
                    format: double
                    description: Order volume.
                  data[].quotePrice:
                    type: number
                    format: double
                    description: Bid price.
                  data[].tradeId:
                    type: string
                    description: Match trade ID.
                  data[].qtty:
                    type: number
                    format: double
                    description: Matched volume.
                  data[].price:
                    type: number
                    format: double
                    description: Matching price.
                  data[].timeExec:
                    type: string
                    description: Matching time.
components:
  schemas:
    StockOrderSide:
      type: string
      description: 'Chiều lệnh cơ sở: S = bán, B = mua.'
      enum:
        - S
        - B
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.